Handlers
List handlers
GET /v1/handlers- Permission
read:configs- Tokens
- API key, CLI user token, Session token
List the account's synced Slack, GitHub, Linear, and Sentry handlers. Disabled handlers and the last valid definitions after failed syncs are included. Requires configs:read; scoped grants match handlers/{service}.
{
}
1
import os
2
3
from ellipsis import Ellipsis
4
5
client = Ellipsis(api_key=os.environ["ELLIPSIS_API_TOKEN"])
6
7
result = client.handlers.list()
8
print(result)
1
import { Ellipsis } from '@ellipsis-dev/sdk';
2
3
const client = new Ellipsis({
4
apiKey: process.env.ELLIPSIS_API_TOKEN!,
5
});
6
7
const result = await client.handlers.list();
8
console.log(result);
1
curl "https://api.ellipsis.dev/v1/handlers" \
2
-H "Authorization: Bearer $ELLIPSIS_API_TOKEN"
Response
handlersarray<Handler>required
The account's synced handlers in Slack, GitHub, Linear, Sentry order.